# Reject developer (creator)

### Input parameters

* ```
  taskId
  ```
* ```
  rejectionReason
  ```

### How to call from app

HTTP request to: /reject-task/TASKID

<pre><code>import { httpsCallable } from 'firebase/functions';

<strong>await httpsCallable(functions, 'rejectDeveloper')({ 
</strong>    taskId: task.id,
    rejectionReason: currentTask.rejectionReason,
})
</code></pre>

### Logic

1. The frontend (app.tasksource.io) calls the API (/reject-developer/TASK-ID)

2. the backend should now set a field in the task document (acceptedByCreator = false) as well as the rejectionReason field

3. Send First Email:

   * to\_email\_adress = email\_of\_assigned\_person
   * template\_name = "tasks-rejected-by-creator->developer"
   * data = {taskData: taskData, taskId: taskId, rejectionReason: rejectionReason}

4. Send Second Email:
   * to\_email\_adress = email\_of\_task\_creator
   * template\_name = "tasks-rejected-by-creator->creator"
   * data = {taskData: taskData, taskId: taskId, rejectionReason: rejectionReason}

5\. If task was assigned to pool (assignToPool = true) call api endpoint submit task&#x20;

6\. if assignToPool = false set task to draft status again


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/step-2-taskflow/reject-developer-creator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
